This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 541485

Summary: libvir: QEMU error : remoteDomainProcessEvent: unmarshalling msg
Product: [Fedora] Fedora Reporter: Alex Jia <ajia>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-16 12:03:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alex Jia 2009-11-25 21:15:33 EST
Description of problem:
I create successfully a vm, then opening one terminal to run example event-python.py from libvirt-0.7.4
source code package with qemu:///system parameter.in another opening terminal,running basic domain
operation, such as undefine/define/start/destroy.but  original terminal display  information
"libvir: QEMU error : remoteDomainProcessEvent: unmarshalling msg" .

Version-Release number of selected component (if applicable):
[root@localhost events-python]# uname -a
Linux localhost.localdomain 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686 i686 i386 GNU/Linux
[root@localhost events-python]# lsmod|grep kvm
kvm_intel              39856  0
kvm                   140260  1 kvm_intel
[root@localhost events-python]# rpm -qa|grep virt
virt-v2v-0.2.0-1.fc12.noarch
virtuoso-opensource-conductor-5.0.12-1.fc12.noarch
libvirt-python-0.7.1-15.fc12.i686
virtuoso-opensource-apps-5.0.12-1.fc12.i686
virtuoso-opensource-doc-5.0.12-1.fc12.noarch
virtuoso-opensource-5.0.12-1.fc12.i686
virt-manager-0.8.0-7.fc12.noarch
virtuoso-opensource-utils-5.0.12-1.fc12.i686
virt-ctrl-1.0.1-4.fc12.i686
virt-top-1.0.4-1.fc12.1.i686
virt-viewer-0.2.0-1.fc12.i686
virtaal-0.4.1-1.fc12.noarch
libvirt-client-0.7.1-15.fc12.i686
python-virtinst-0.500.0-5.fc12.noarch
virt-mem-0.3.1-9.fc12.i686
libvirt-0.7.1-15.fc12.i686 

How reproducible:
Always

Steps to Reproduce:
1.make sure libvirtd service running
2.open one terminal and run event-test.py 
3.open another termial and run basic domain operation 
  
Actual results:
[root@localhost events-python]# python event-test.py qemu:///system
Using uri:qemu:///system
libvir: QEMU error : remoteDomainProcessEvent: unmarshalling msg
libvir: Remote error : unknown program (received 77696e78, expected 20008086)


Expected results:
Fix it

Additional info:
1. open one terminal and run event-test.py

[root@localhost events-python]# python event-test.py qemu:///system
Using uri:qemu:///system
libvir: QEMU error : remoteDomainProcessEvent: unmarshalling msg
libvir: Remote error : unknown program (received 77696e78, expected 20008086)
libvir: Remote error : unknown program (received 77696e78, expected 20008086)
libvir: Remote error : unknown program (received 77696e78, expected 20008086)


2.open another termial and run basic domain operation

[root@localhost ajia]# virsh list --all
Id Name                 State
----------------------------------
 - winxp                shut off

[root@localhost ajia]# virsh undefine winxp
Domain winxp has been undefined

[root@localhost ajia]# virsh define winxp.xml
Domain winxp defined from winxp.xml

[root@localhost ajia]# virsh start winxp
Domain winxp started

[root@localhost ajia]# virsh destroy winxp
Domain winxp destroyed
Comment 1 Cole Robinson 2010-03-16 12:03:52 EDT
Can't reproduce upstream. I know there have been a few fixes in the event-test and in the events remote code. Closing as UPSTREAM since this isn't all that important for Fedora.